Bug Hunting Session
Bug 52353 - UI: Navigation bar disabled in "Read only" mode
Summary: UI: Navigation bar disabled in "Read only" mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.7.0
Keywords: easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-07-22 07:51 UTC by narayanaras
Modified: 2015-12-16 00:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2012-07-22 07:51:04 UTC
The Navigation bar is disabled when the file is in "Read only" mode. 
(The "Back" and "Forward" buttons are disabled.)

This creates a severe problem in navigation: After clicking a hyperlink, you cannot jump back!

To replicate this issue, follow these steps:

1. open a multi-page file that has a hyperlink (or create a test file).
2. In the View>Toolbars menu, select "Navigation" toolbar.
3. Click on the hyperlink. 
   The "Back" button of the Navigation toolbar becomes active.
4. Click on the "Back" button to come back to the hyperlink.

5. Click on the "Edit file" button. The file becomes read-only.
6. Now click on the hyperlink again. 
   But this time the "back" arrow does not become active.
Comment 1 Rainer Bielefeld Retired 2012-07-23 11:52:18 UTC
I doubt that that ever worked better, [Reproducible] with "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit).
Comment 2 Caolán McNamara 2012-10-26 22:57:40 UTC
A straight forward problem this one
Comment 3 Not Assigned 2012-10-26 23:06:43 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=750daab570b813167c342b0e4183d5cf4762458c

Resolves: fdo#52353 navigation buttons disabled in read-only mode



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2012-10-26 23:07:55 UTC
that *should* fix it
Comment 5 Robinson Tryon (qubit) 2015-12-16 00:44:04 UTC
Migrating Whiteboard tags to Keywords: (EasyHack SkillCpp TopicUI  )
[NinjaEdit]